Package com.plannaplan.controllers

# Class CoursesController

java.lang.Object
com.plannaplan.controllers.CoursesController

    @RestController
    @CrossOrigin
    @RequestMapping("/api/v1/courses")
    public class CoursesController
    extends java.lang.Object

Rest controller to Courses related endpoints. More detailed api docs is available via swagger

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CoursesController()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.springframework.http.ResponseEntity<java.util.List<? extends CoursesResponse>>` | `getMethodName​(java.lang.Boolean groups, java.lang.Boolean takenPlaces)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoursesController

public CoursesController()

## Method Details

### getMethodName

@GetMapping("/all") public org.springframework.http.ResponseEntity<java.util.List<? extends CoursesResponse>> getMethodName​(@RequestParam(name="groups",defaultValue="false") java.lang.Boolean groups, @RequestParam(name="takenPlaces",defaultValue="false") java.lang.Boolean takenPlaces)

Parameters:
  `groups` - should include groups in response
  `takenPlaces` - should include groups in response
Returns:
  list of all courses in system